## com.bbn.openmap.util.propertyEditor
Class ColorPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.ColorPropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class ColorPropertyEditor
extends java.beans.PropertyEditorSupport

A PropertyEditor that brings up a JFileChooser panel to select a file.

Field Summary
`protected int` `icon_height`
`protected int` `icon_width`
`static java.lang.String` `title`

Constructor Summary
`ColorPropertyEditor()` Create FilePropertyEditor.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)` Implement ActionListener interface.
`java.lang.String` `getAsText()` Implement PropertyEditor interface.
`java.awt.Component` `getCustomEditor()` Returns a JButton that will bring up a JFileChooser dialog.
`javax.swing.ImageIcon` `getIconForPaint(java.awt.Paint paint, boolean fill)`
`protected void` `setButtonForColor(java.awt.Color color)`
`void` `setValue(java.lang.Object someObj)` Implement PropertyEditor interface.
`boolean` `supportsCustomEditor()` PropertyEditor interface.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    public static final java.lang.String title

See Also:
  Constant Field Values

### icon_width

    protected int icon_width

### icon_height

    protected int icon_height

Constructor Detail

### ColorPropertyEditor

    public ColorPropertyEditor()

  Create FilePropertyEditor.

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  PropertyEditor interface.

  Returns:
    true

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns a JButton that will bring up a JFileChooser dialog.

  Returns:
    JButton button

### getIconForPaint

    public javax.swing.ImageIcon getIconForPaint(java.awt.Paint paint,
                                                 boolean fill)

### setValue

    public void setValue(java.lang.Object someObj)

  Implement PropertyEditor interface.

### setButtonForColor

    protected void setButtonForColor(java.awt.Color color)

### getAsText

    public java.lang.String getAsText()

  Implement PropertyEditor interface.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Implement ActionListener interface.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details